CREATE TABLE Trn_FcNotas ( 
TipDoc VARCHAR(3) DEFAULT ('NCF') NOT NULL,
NumNota INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
IdVehiculo VARCHAR(10) DEFAULT ('0') NOT NULL,
IdPropietario VARCHAR(16) NOT NULL,
IdConductor VARCHAR(16) NOT NULL,
VehPropio BIT DEFAULT (0) NOT NULL,
VrNota MONEY DEFAULT (0) NOT NULL,
VrNeto MONEY DEFAULT (0) NOT NULL,
VrAplicado MONEY DEFAULT (0) NOT NULL,
CdCCosto VARCHAR(16) DEFAULT ('0') NOT NULL,
CdSubCos VARCHAR(16) DEFAULT ('0') NOT NULL,
Referencia VARCHAR(50),
TipRec VARCHAR(3) DEFAULT ('0') NOT NULL,
ReciboFc INT DEFAULT (0) NOT NULL,
IdCiaRec CHAR(2) DEFAULT ('00') NOT NULL,
TipCom VARCHAR(3) DEFAULT ('0') NOT NULL,
Comprobante INT DEFAULT (0) NOT NULL,
IdCiaCom CHAR(2) DEFAULT ('00') NOT NULL,
Anulado BIT DEFAULT (0) NOT NULL,
FecDev SMALLDATETIME,
Observacion VARCHAR(250),
IdEstado VARCHAR(4) NOT NULL,
OrigenAdd VARCHAR(10) NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
FecUpdate SMALLDATETIME,
IdCiaCrea CHAR(2) DEFAULT ('01') NOT NULL,
IdUsuario VARCHAR(11) NOT NULL
 CONSTRAINT PK_Trn_FcNotas PRIMARY KEY CLUSTERED (TipDoc,NumNota,IdCia),
 CONSTRAINT CK_Trn_FcNotasCdCCosto CHECK ((len([CdCCosto]) > 0)),
 CONSTRAINT CK_Trn_FcNotasCdSubCos CHECK ((len([CdSubCos]) > 0)),
 CONSTRAINT CK_Trn_FcNotasIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_Trn_FcNotasIdCiaCom CHECK ((len([IdCiaCom]) > 0)),
 CONSTRAINT CK_Trn_FcNotasIdCiaCrea CHECK ((len([IdCiaCrea]) > 0)),
 CONSTRAINT CK_Trn_FcNotasIdCiaRec CHECK ((len([IdCiaRec]) > 0)),
 CONSTRAINT CK_Trn_FcNotasIdConcepto CHECK ((len([IdConcepto]) > 0)),
 CONSTRAINT CK_Trn_FcNotasIdConductor CHECK ((len([IdConductor]) > 0)),
 CONSTRAINT CK_Trn_FcNotasIdEstado CHECK ((len([IdEstado]) > 0)),
 CONSTRAINT CK_Trn_FcNotasIdPropietario CHECK ((len([IdPropietario]) > 0)),
 CONSTRAINT CK_Trn_FcNotasIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_Trn_FcNotasIdVehiculo CHECK ((len([IdVehiculo]) > 0)),
 CONSTRAINT CK_Trn_FcNotasOrigenAdd CHECK ((len([OrigenAdd]) > 0)),
 CONSTRAINT CK_Trn_FcNotasTipCom CHECK ((len([TipCom]) > 0)),
 CONSTRAINT CK_Trn_FcNotasTipDoc CHECK ((len([TipDoc]) > 0)),
 CONSTRAINT CK_Trn_FcNotasTipRec CHECK ((len([TipRec]) > 0)))
GO
ALTER TABLE Trn_FcNotas ADD 
 CONSTRAINT FK_Trn_FcNotas_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_FcNotas_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_FcNotas_Conceptos FOREIGN KEY (IdConcepto) REFERENCES [dbo].[Conceptos] (IdConcepto),
 CONSTRAINT FK_Trn_FcNotas_EstadoDoc FOREIGN KEY (IdEstado) REFERENCES [dbo].[EstadoDoc] (IdEstado),
 CONSTRAINT FK_Trn_FcNotas_Sys_TiposDoc FOREIGN KEY (TipDoc) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_FcNotas_Terceros FOREIGN KEY (IdPropietario) REFERENCES [dbo].[Terceros] (IdTercero),
 CONSTRAINT FK_Trn_FcNotas_Terceros1 FOREIGN KEY (IdConductor) REFERENCES [dbo].[Terceros] (IdTercero),
 CONSTRAINT FK_Trn_FcNotas_Vehiculos FOREIGN KEY (IdVehiculo) REFERENCES [dbo].[Vehiculos] (IdVehiculo)
 CREATE NONCLUSTERED INDEX IX_Trn_FcNotasFecha ON Trn_FcNotas(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_FcNotasIdVehiculo ON Trn_FcNotas(IdVehiculo)
 CREATE NONCLUSTERED INDEX IX_Trn_FcNotasIdPropietario ON Trn_FcNotas(IdPropietario)
